package intrinsic.mx.controls;

public class Tree extends intrinsic.mx.controls.List {

	/** Accessors */
	public boolean dragMoveEnabled;
	public Object openItems;
	public double maxHorizontalScrollPosition;
	public intrinsic.mx.controls.treeClasses.ITreeDataDescriptor dataDescriptor;
	public boolean showRoot;
	public boolean hasRoot;
	public Object dataProvider;
	public Object firstVisibleItem;

	/** Variables */
	public Object itemIcons;
	public double editorYOffset;
	public double editorWidthOffset;
	public intrinsic.mx.core.IFactory itemEditor;
	public boolean editable;
	public boolean editorUsesEnterKey;
	public String editorDataField;
	public double editorHeightOffset;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean rendererIsEditor;
	public double editorXOffset;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public Tree() {
}


/** Static Methods */

/** Methods */
public native void expandItem(Object arg0, boolean arg1);
public native void expandItem(Object arg0, boolean arg1, boolean arg2);
public native void expandItem(Object arg0, boolean arg1, boolean arg2, boolean arg3);
public native void expandItem(Object arg0, boolean arg1, boolean arg2, boolean arg3, intrinsic.flash.events.Event arg4);
public native intrinsic.Class itemToIcon(Object arg0);
public native Object getParentItem(Object arg0);
public native void styleChanged(String arg0);
public native int getItemIndex(Object arg0);
public native void showDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native boolean isItemOpen(Object arg0);
public native void expandChildrenOf(Object arg0, boolean arg1);
public native boolean isItemVisible(Object arg0);
public native int calculateDropIndex();
public native int calculateDropIndex(intrinsic.mx.events.DragEvent arg0);
public native void setItemIcon(Object arg0, intrinsic.Class arg1, intrinsic.Class arg2);

}
